Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# NurbsCurveInterface Class Reference

This abstract class defines the interface only for a Nurbs-style curve, with knots and coordinates in homogeneous space. More...

Inheritance diagram for NurbsCurveInterface:

List of all members.

## Public Member Functions
int | appendCv (VBase3 const v)
int | appendCv (float x, float y, float z)
int | appendCv (VBase4 const v)
VBase4 | getCv (int n)
VBase3 | getCvPoint (int n)
| Returns the position of the indicated CV.
float | getCvWeight (int n)
| Returns the weight of the indicated CV.
float | getKnot (int n)
int | getNumCvs ()
int | getNumKnots ()
int | getOrder ()
bool | insertCv (float t)
| removeAllCvs ()
bool | removeCv (int n)
bool | setCv (int n, VBase4 const v)
bool | setCvPoint (int n, VBase3 const v)
| Repositions the indicated CV.
bool | setCvPoint (int n, float x, float y, float z)
| Repositions the indicated CV.
bool | setCvWeight (int n, float w)
| Sets the weight of the indicated CV without affecting its position in 3-d space.
bool | setKnot (int n, float t)
| setOrder (int order)
| writeCv (ostream out, int n)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This abstract class defines the interface only for a Nurbs-style curve, with knots and coordinates in homogeneous space.

The NurbsCurve class inherits both from this and from ParametricCurve.

## Member Function Documentation

int appendCv | ( | VBase3 const | v | ) |

int appendCv | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

int appendCv | ( | VBase4 const | v | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented in NurbsCurve.

VBase4 getCv | ( | int | n | ) |

VBase3 getCvPoint | ( | int | n | ) |

Returns the position of the indicated CV.

float getCvWeight | ( | int | n | ) |

Returns the weight of the indicated CV.

float getKnot | ( | int | n | ) |

int getNumCvs | ( |  | ) |

int getNumKnots | ( |  | ) |

int getOrder | ( |  | ) |

bool insertCv | ( | float | t | ) |

removeAllCvs | ( |  | ) |

bool removeCv | ( | int | n | ) |

bool setCv | ( | int | n,
|  | VBase4 const | v
| ) |  |

bool setCvPoint | ( | int | n,
|  | VBase3 const | v
| ) |  |

Repositions the indicated CV.

Returns true if successful, false otherwise.

bool setCvPoint | ( | int | n,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

Repositions the indicated CV.

Returns true if successful, false otherwise.

bool setCvWeight | ( | int | n,
|  | float | w
| ) |  |

Sets the weight of the indicated CV without affecting its position in 3-d space.

bool setKnot | ( | int | n,
|  | float | t
| ) |  |

setOrder | ( | int | order | ) |

writeCv | ( | ostream | out,
|  | int | n
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties